using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);

        DataTable table = new DataTable();
        table.Columns.Add("ID");
        table.Columns.Add("casesOrdered", typeof(decimal));
        table.Columns.Add("Date", typeof(DateTime));
        for (int i = 1; i < 800; i++)
        {
            table.Rows.Add(i, i * 1.4M, DateTime.Now.AddDays(i));
        }
        DetailsView1.DataSource = table;
        DetailsView1.DataBind();
    }
}
